DateTime::TimeZone::OffsetOnly(3)

NAME
DateTime::TimeZone::OffsetOnly - A DateTime::TimeZone object that just contains an offset

VERSION
version 2.09

SYNOPSIS
  my $offset_tz = DateTime::TimeZone->new( name => '-0300' );

DESCRIPTION
This class is used to provide the DateTime::TimeZone API needed by DateTime.pm, but with a fixed offset. An object in this class always returns the same offset as was given in its constructor, regardless of the date.

USAGE
This class has the same methods as a real time zone object, but the "category()" method returns undef.

  DateTime::TimeZone::OffsetOnly->new ( offset => $offset )
The value given to the offset parameter must be a string such as "+0300". Strings will be converted into numbers by the "DateTime::TimeZone::offset_as_seconds()" function.

  $tz->offset_for_datetime( $datetime )
No matter what date is given, the offset provided to the constructor is always used.

  $tz->name()

  $tz->short_name_for_datetime()
Both of these methods return the offset in string form.

SUPPORT
Bugs may be submitted through <https://github.com/houseabsolute/DateTime-TimeZone/issues>.

I am also usually active on IRC as 'autarch' on "irc://irc.perl.org".

AUTHOR
Dave Rolsky <autarch@urth.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2016 by Dave Rolsky.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.